Loading...
Searching...
No Matches
pdumodel::Ade::Sample Struct Reference

Raw sample data for a single channel. More...

## Public Attributes

long | vrms
| RMS voltage.
long | irms
| RMS current.
long | watt
| Active power.
long | va
| Apparent power.
long | wh
| Active energy (for this sample)
long | vah
| Apparent energy (for this sample)

## Detailed Description

Raw sample data for a single channel.

Definition at line 27 of file Ade.idl.

## Member Data Documentation

## irms

long pdumodel::Ade::Sample::irms

RMS current.

Definition at line 29 of file Ade.idl.

## va

long pdumodel::Ade::Sample::va

Apparent power.

Definition at line 31 of file Ade.idl.

## vah

long pdumodel::Ade::Sample::vah

Apparent energy (for this sample)

Definition at line 33 of file Ade.idl.

## vrms

long pdumodel::Ade::Sample::vrms

RMS voltage.

Definition at line 28 of file Ade.idl.

## watt

long pdumodel::Ade::Sample::watt

Active power.

Definition at line 30 of file Ade.idl.

## wh

long pdumodel::Ade::Sample::wh

Active energy (for this sample)

Definition at line 32 of file Ade.idl.

The documentation for this struct was generated from the following file:

- Ade.idl